Configuring C&DS 5.0 fails with -xx: PermSize=512 argument not valid

Technote (troubleshooting)


Problem(Abstract)

Attempts to configure Collaboration and Deployment Services 5.0 on the IBMi results in the following error:

fails with -xx: PermSize=512 argument not valid

Symptom

First attempt to configure may fail with a "Configuration Failed" with no additional details.
The configTool.log and the engine.log contain no information after the prerequisite check.
A second attempt to re-run cliConfigTool results in the error.


Cause

IBM Technology for JVM (J9) is required to run the repository on IBM i.

Environment

Collaboration and Deployment Services 5.0
IBMi

Resolving the problem

Configure the WebSphere profile to use 9 Java environment with the following command:
./enableJVM -jvm std32 -profile <profile name>

If the install is 64 bit then use the following command:
./enableJVM -jvm std64 -profile <profile name>

Rerun cliConfigTool

Rate this page:

(0 users)Average rating

Document information


More support for:

SPSS Collaboration and Deployment Services
Content Repository

Software version:

5.0

Operating system(s):

IBM i

Reference #:

1641774

Modified date:

2013-06-24

Translate my page

Machine Translation

Content navigation